Forums

Home » Liferay Portal » Deutsch

Combination View Flat View Tree View
Threads [ Previous | Next ]
toggle
Heidi Stummvoll
UnsupportedClassVersionError
November 2, 2012 4:16 AM
Answer

Heidi Stummvoll

Rank: New Member

Posts: 2

Join Date: October 29, 2012

Recent Posts

Hallo zusammen,

um nicht ein MS Portal in unser Unternehmen zu etablieren, würde ich gerne ich das Liferay Portal testen.
Dafür habe das Bundle mit Tomcat 6.1.1 ce-ga2-20120721132656558.zip heruntergeladen und entzipt.
Anschließend habe ich die Anwendung über die startup.bat im Verzeichnis tomcat-7.0.27\bin\ gestartet.
Über die Hauptkonfiguration wollte ich als nächstet eine MS SQL 2008 R2 Datenbank einsetzen. Ich habe also eine Datenbank Namens Liferay und einen Benutzer mit dem Namen life angelegt. Wenn ich nun aber die Eingaben bestätige, bekomme ich folgende Fehlermeldung.

Eine unerwartete Störung trat bei der Verbindung an den Produzenten auf.

In der Tomcat Console kommt die Fehlermeldung: UnsupportedClassVersionError - Unsupported major.minor version 51.0
Über div. Suchmaschinen bekomme ich bei der Suche „Unsupported major.minor version 51.0“ den Hinweis, dass es sich um eine Falsche Javaversion handeln könnte.
Als Betriebssystem nutze ich ein MS 2003 Server, in C:/Programme habe ich die Java JRE 6 und 7 Versionen mit jdk1.6.0_37 und jdk1.7.0_09
In dem Verzeichnis in welchem das Liferay Portal liegt gibt es ein ..\liferay-portal-6.1.1-ce-ga2\tomcat-7.0.27\jre1.6.0_20

Da ich keine Ahnung von Java habe und so langsam am verzweifeln bin meine Frage bzw. Bitte an Sie.
Was kann bzw. muss ich tun, damit der Fehler nicht mehr auftritt?

Vielen Dank im Voraus!

Beste Grüße,
Heidi
Attachment

Attachments: Fehler.png (71.5k)
Olaf Kock
RE: UnsupportedClassVersionError
November 2, 2012 4:15 AM
Answer

Olaf Kock

LIFERAY STAFF

Rank: Liferay Legend

Posts: 1692

Join Date: September 23, 2008

Recent Posts

Das klingt deutlich nach einem Java-Gemisch. Üblicherweise tritt dieser Fehler auf, wenn Tomcat mal mit Java 7 und danach mit Java6 gestartet wird. Tomcat übersetzt einige temporäre Dateien (die *.jsp Dateien) in Java. Wenn das mit Java7 geschieht, lassen sie sich mit Java6 nicht mehr aufrufen.

Abhilfe schafft entweder das leeren des "work" und "temp" Verzeichnisses von Tomcat, oder das Starten unter Java7.

Ich rate zu ersterem und Betrieb unter Java6, da es noch einige Drittanbieter-Bibliotheken gibt, die Java6 voraussetzen. Wir arbeiten an der Zertifizierung für Java7, sind aber auf den kleinsten gemeinsamen Nenner der unterstützten Applikationsserver angewiesen.

Nach dem Leeren des "work" Verzeichnisses wird beim nächsten Aufruf der verschiedenen Bereiche die Oberfläche ein wenig langsam, weil die Dateien alle neu erstellt werden.
Heidi Stummvoll
RE: UnsupportedClassVersionError
November 2, 2012 7:26 AM
Answer

Heidi Stummvoll

Rank: New Member

Posts: 2

Join Date: October 29, 2012

Recent Posts

Vielen Dank für die schnelle Antwort.
Mit dem Löschen der genannten Verzeichnissen und der Anpassung des MS SQL Serverauthentifizierung auf gemischter Modus hat es endlich mit der Verbindung geklappt!
Dann kann es jetzt endlich losgehen...emoticon
Nochmals vielen Dank!